# include "Ximage.h"

void Remap (Graphic *graphic, Layout *layout, Matrix *matrix) {

  switch (graphic[0].Nbits) {
  case 8:
    Remap8 (graphic, layout, matrix);
    break;
  case 16:
    Remap16 (graphic, layout, matrix);
    break;
  case 24:
    Remap24 (graphic, layout, matrix);
    break;
  case 32:
    Remap32 (graphic, layout, matrix);
    break;
  }

}

